Installing Java 1.5 on the Mac (Snow Leopard etc.) isn’t so trivial when you just rely on Apple. This wiki page describes now to install Java 1.5 on your system should you require it. http://wiki.oneswarm.org/index.php/OS_X_10.6_Snow_Leopard